[Commented] (MNG-4173) Remove automatic version resolution for POM plugins

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[Commented] (MNG-4173) Remove automatic version resolution for POM plugins

Stefano Cazzola (Jira)

    [ https://issues.apache.org/jira/browse/MNG-4173?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17114397#comment-17114397 ]

Ran Biron commented on MNG-4173:
--------------------------------

[~michael-o] backed out as in not going to be done - latest / release are going to continue to be supported?

> Remove automatic version resolution for POM plugins
> ---------------------------------------------------
>
>                 Key: MNG-4173
>                 URL: https://issues.apache.org/jira/browse/MNG-4173
>             Project: Maven
>          Issue Type: Task
>          Components: Plugins and Lifecycle
>    Affects Versions: 3.0-alpha-3
>            Reporter: Benjamin Bentmann
>            Priority: Major
>             Fix For: Issues to be reviewed for 4.x
>
>
> Maven 3.x will no longer try to automatically find the version for plugins specified in the POM, i.e. the effective POM must declare a version for each plugin used for the sake of reproducible builds. Omitting the plugin version will raise in error.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)